Index: tests/GuiChecks/Makefile.am
===================================================================
--- tests/GuiChecks/Makefile.am	(revision 854a1e95caee5f13422bda353b2290247bbaee3b)
+++ tests/GuiChecks/Makefile.am	(revision 917c4614b3ea55896fe148578f4fe572d88788a4)
@@ -5,201 +5,208 @@
 TESTSCRIPTS = \
 	$(srcdir)/./Testlauncher/testsuite-testlauncher-works.at \
-	$(srcdir)/./Options/ElementsDb/testsuite-options-elements-db.at \
-	$(srcdir)/./Options/SetDefaultName/testsuite-options-set-default-name.at \
-	$(srcdir)/./Options/Help/testsuite-options-help.at \
-	$(srcdir)/./Options/SetWorldTime/testsuite-options-set-world-time.at \
-	$(srcdir)/./Options/FastParsing/testsuite-options-fast-parsing.at \
-	$(srcdir)/./Options/Verbosity/testsuite-options-verbosity.at \
-	$(srcdir)/./Options/testsuite-options.at \
-	$(srcdir)/./Options/BondLengthTable/testsuite-options-bond-length-table.at \
-	$(srcdir)/./Options/Warranty/testsuite-options-warranty.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at \
-	$(srcdir)/./Selection/Molecules/InvertMolecules/testsuite-selection-invert-molecules.at \
-	$(srcdir)/./Selection/Molecules/PopMoleculeSelection/testsuite-selection-pop-molecule-selection.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at \
-	$(srcdir)/./Selection/Molecules/testsuite-selection-molecules.at \
-	$(srcdir)/./Selection/Molecules/PushMoleculeSelection/testsuite-selection-push-molecule-selection.at \
-	$(srcdir)/./Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at \
-	$(srcdir)/./Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at \
-	$(srcdir)/./Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at \
-	$(srcdir)/./Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at \
-	$(srcdir)/./Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at \
-	$(srcdir)/./Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at \
-	$(srcdir)/./Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at \
-	$(srcdir)/./Selection/Atoms/AtomByOrder/testsuite-selection-select-atom-by-order.at \
-	$(srcdir)/./Selection/Atoms/AtomByOrder/testsuite-selection-unselect-atom-by-order.at \
-	$(srcdir)/./Selection/Atoms/testsuite-selection-atoms.at \
-	$(srcdir)/./Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at \
-	$(srcdir)/./Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at \
-	$(srcdir)/./Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at \
-	$(srcdir)/./Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at \
-	$(srcdir)/./Selection/Atoms/PushAtomSelection/testsuite-selection-push-atom-selection.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-tiny-sphere.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-tiny-sphere.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at \
-	$(srcdir)/./Selection/Atoms/InvertAtoms/testsuite-selection-invert-atoms.at \
-	$(srcdir)/./Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at \
-	$(srcdir)/./Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at \
-	$(srcdir)/./Selection/Atoms/PopAtomSelection/testsuite-selection-pop-atom-selection.at \
-	$(srcdir)/./Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at \
-	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id-multiple.at \
-	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at \
-	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at \
-	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id-multiple.at \
-	$(srcdir)/./Selection/testsuite-selection.at \
-	$(srcdir)/./Molecules/StretchBond/testsuite-molecules-stretch-bond.at \
-	$(srcdir)/./Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at \
-	$(srcdir)/./Molecules/testsuite-molecules.at \
-	$(srcdir)/./Molecules/LinearInterpolationofTrajectories/testsuite-molecules-linear-interpolation-of-trajectories.at \
-	$(srcdir)/./Molecules/RotateToPrincipalAxisSystem/testsuite-molecules-rotate-to-principal-axis-system.at \
-	$(srcdir)/./Molecules/VerletIntegration/testsuite-molecules-verlet-integration.at \
-	$(srcdir)/./Molecules/RotateAroundSelf/testsuite-molecules-rotate-around-self.at \
-	$(srcdir)/./Molecules/Copy/testsuite-molecules-copy-molecule.at \
-	$(srcdir)/./Molecules/Translation-Periodic/testsuite-molecules-translation-periodic.at \
-	$(srcdir)/./Molecules/Remove/testsuite-molecules-remove.at \
-	$(srcdir)/./Molecules/ChangeBondAngle/testsuite-molecules-change-bond-angle.at \
-	$(srcdir)/./Molecules/SaveAdjacency/testsuite-molecules-save-adjacency.at \
-	$(srcdir)/./Molecules/SaveSelectedMolecules/testsuite-molecules-save-selected-molecules.at \
-	$(srcdir)/./Molecules/SaveBonds/testsuite-molecules-save-bonds.at \
-	$(srcdir)/./Molecules/SaveTemperature/testsuite-molecules-save-temperature.at \
-	$(srcdir)/./Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at \
-	$(srcdir)/./Molecules/BondFile/testsuite-molecules-fragmentation-bond-file.at \
-	$(srcdir)/./Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at \
-	$(srcdir)/./Molecules/Translation/testsuite-molecules-translation.at \
-	$(srcdir)/./Analysis/testsuite-analysis.at \
-	$(srcdir)/./Analysis/SurfaceCorrelation/testsuite-analysis-surface-correlation.at \
-	$(srcdir)/./Analysis/PointCorrelation/testsuite-analysis-point-correlation.at \
-	$(srcdir)/./Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at \
-	$(srcdir)/./Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at \
-	$(srcdir)/./Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at \
-	$(srcdir)/./Analysis/DipoleAngularCorrelation-PeriodicBoundaries/testsuite-analysis-dipole-angular-correlation-periodic-boundaries.at \
-	$(srcdir)/./Analysis/DipoleCorrelation-DiscreteAngles/testsuite-analysis-dipole-correlation-discrete-angles.at \
-	$(srcdir)/./Analysis/PrincipalAxisSystem/testsuite-analysis-principal-axis-system.at \
-	$(srcdir)/./Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-capital_letters_element.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-empty.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load-multiply.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-save.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-with-conects.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-CONECTs_empty_space.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-multiple-timesteps.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load-various.at \
-	$(srcdir)/./Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-setatomdata.at \
-	$(srcdir)/./Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-resetatomdata.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-save-unique_usedfields.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-save.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-improper.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-load-multiply.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-empty.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-load.at \
-	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-load-multiply.at \
+	$(srcdir)/./Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at \
+	$(srcdir)/./Fragmentation/ParseSaveFragmentResults/testsuite-fragmentation-parse-save-fragment-results.at \
+	$(srcdir)/./Fragmentation/testsuite-fragmentation.at \
+	$(srcdir)/./Fragmentation/FragmentMolecule-MaxOrder/testsuite-fragmentation-fragment-molecule-maxorder.at \
+	$(srcdir)/./Fragmentation/StoreSaturatedFragment/testsuite-fragmentation-store-saturated-fragment.at \
+	$(srcdir)/./Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at \
+	$(srcdir)/./Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at \
+	$(srcdir)/./Atoms/ChangeElement/testsuite-atoms-change-element.at \
+	$(srcdir)/./Atoms/Add/testsuite-atoms-add.at \
+	$(srcdir)/./Atoms/Remove/testsuite-atoms-remove.at \
+	$(srcdir)/./Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at \
+	$(srcdir)/./Atoms/RemoveCuboid/testsuite-atoms-remove-cuboid.at \
+	$(srcdir)/./Atoms/TranslationToOrigin/testsuite-atoms-translation-to-origin.at \
+	$(srcdir)/./Atoms/Saturate/testsuite-atoms-saturate-atoms-bonded_atoms.at \
+	$(srcdir)/./Atoms/Saturate/testsuite-atoms-saturate-atoms-carbon.at \
+	$(srcdir)/./Atoms/Saturate/testsuite-atoms-saturate-atoms-nitrogen.at \
+	$(srcdir)/./Atoms/RemoveSphere/testsuite-atoms-remove-sphere.at \
+	$(srcdir)/./Atoms/Mirror/testsuite-atoms-mirror.at \
+	$(srcdir)/./Atoms/testsuite-atoms.at \
+	$(srcdir)/./Atoms/Translation/testsuite-atoms-translation.at \
+	$(srcdir)/./Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at \
+	$(srcdir)/./Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at \
+	$(srcdir)/./Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at \
+	$(srcdir)/./Tesselation/testsuite-tesselation.at \
+	$(srcdir)/./Tesselation/Convex/testsuite-tesselation-convex-envelope.at \
+	$(srcdir)/./Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at \
+	$(srcdir)/./Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-reference.at \
+	$(srcdir)/./Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at \
+	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at \
+	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at \
+	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at \
+	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-none.at \
+	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at \
+	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-load.at \
 	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-empty.at \
 	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-save.at \
-	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-load.at \
-	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at \
-	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials.at \
-	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at \
-	$(srcdir)/./Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-reference.at \
-	$(srcdir)/./Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at \
-	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at \
-	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-none.at \
-	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at \
-	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at \
-	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at \
+	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-load-multiply.at \
+	$(srcdir)/./Parser/Mpqc/testsuite-parser-mpqc-save.at \
 	$(srcdir)/./Parser/Mpqc/testsuite-parser-mpqc-empty.at \
 	$(srcdir)/./Parser/Mpqc/testsuite-parser-mpqc-load.at \
 	$(srcdir)/./Parser/Mpqc/testsuite-parser-mpqc-load-multiply.at \
-	$(srcdir)/./Parser/Mpqc/testsuite-parser-mpqc-save.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-multiple-timesteps.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load-various.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-save.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load-multiply.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-empty.at \
-	$(srcdir)/./Parser/Tremolo-Exttypes/testsuite-parser-tremolo-save-selected-atoms-as-exttypes.at \
-	$(srcdir)/./Parser/testsuite-parser.at \
+	$(srcdir)/./Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-resetatomdata.at \
+	$(srcdir)/./Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-setatomdata.at \
 	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-multiple-timesteps.at \
-	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-empty.at \
 	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-load-multiply.at \
 	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-load.at \
+	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-empty.at \
 	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-save.at \
-	$(srcdir)/./Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at \
-	$(srcdir)/./Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at \
-	$(srcdir)/./Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at \
-	$(srcdir)/./Fragmentation/StoreSaturatedFragment/testsuite-fragmentation-store-saturated-fragment.at \
-	$(srcdir)/./Fragmentation/FragmentMolecule-MaxOrder/testsuite-fragmentation-fragment-molecule-maxorder.at \
-	$(srcdir)/./Fragmentation/testsuite-fragmentation.at \
-	$(srcdir)/./Bond/Add/testsuite-bond-add_multiple.at \
-	$(srcdir)/./Bond/Add/testsuite-bond-add.at \
-	$(srcdir)/./Bond/AdjacencyMatcher/testsuite-bond-adjacencymatcher.at \
-	$(srcdir)/./Bond/Remove/testsuite-bond-remove.at \
-	$(srcdir)/./Bond/Remove/testsuite-bond-remove_multiple.at \
-	$(srcdir)/./Bond/testsuite-bond.at \
+	$(srcdir)/./Parser/Tremolo-Exttypes/testsuite-parser-tremolo-save-selected-atoms-as-exttypes.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load-multiply.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load-various.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-empty.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-multiple-timesteps.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-save.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load.at \
+	$(srcdir)/./Parser/testsuite-parser.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-multiple-timesteps.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-capital_letters_element.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-empty.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-with-conects.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-CONECTs_empty_space.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load-various.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load-multiply.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-save.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-load.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-load-multiply.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-save-unique_usedfields.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-save.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-empty.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-improper.at \
+	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at \
+	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at \
+	$(srcdir)/./Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at \
+	$(srcdir)/./Analysis/SurfaceCorrelation/testsuite-analysis-surface-correlation.at \
+	$(srcdir)/./Analysis/testsuite-analysis.at \
+	$(srcdir)/./Analysis/PrincipalAxisSystem/testsuite-analysis-principal-axis-system.at \
+	$(srcdir)/./Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at \
+	$(srcdir)/./Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at \
+	$(srcdir)/./Analysis/PointCorrelation/testsuite-analysis-point-correlation.at \
+	$(srcdir)/./Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at \
+	$(srcdir)/./Analysis/DipoleAngularCorrelation-PeriodicBoundaries/testsuite-analysis-dipole-angular-correlation-periodic-boundaries.at \
+	$(srcdir)/./Analysis/DipoleCorrelation-DiscreteAngles/testsuite-analysis-dipole-correlation-discrete-angles.at \
+	$(srcdir)/./Domain/RepeatBox/testsuite-domain-repeat-box.at \
+	$(srcdir)/./Domain/CenterInBox/testsuite-domain-center-in-box.at \
+	$(srcdir)/./Domain/ChangeBox/testsuite-domain-change-box.at \
+	$(srcdir)/./Domain/CenterOnEdge/testsuite-domain-center-on-edge.at \
+	$(srcdir)/./Domain/testsuite-domain.at \
+	$(srcdir)/./Domain/BoundInBox/testsuite-domain-bound-in-box.at \
+	$(srcdir)/./Domain/ScaleBox/testsuite-domain-scale-box.at \
+	$(srcdir)/./Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at \
+	$(srcdir)/./Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at \
+	$(srcdir)/./Selection/Atoms/testsuite-selection-atoms.at \
+	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at \
+	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at \
+	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id-multiple.at \
+	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id-multiple.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-tiny-sphere.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-tiny-sphere.at \
+	$(srcdir)/./Selection/Atoms/PushAtomSelection/testsuite-selection-push-atom-selection.at \
+	$(srcdir)/./Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at \
+	$(srcdir)/./Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at \
+	$(srcdir)/./Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at \
+	$(srcdir)/./Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at \
+	$(srcdir)/./Selection/Atoms/InvertAtoms/testsuite-selection-invert-atoms.at \
+	$(srcdir)/./Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at \
+	$(srcdir)/./Selection/Atoms/PopAtomSelection/testsuite-selection-pop-atom-selection.at \
+	$(srcdir)/./Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at \
+	$(srcdir)/./Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at \
+	$(srcdir)/./Selection/Atoms/AtomByOrder/testsuite-selection-select-atom-by-order.at \
+	$(srcdir)/./Selection/Atoms/AtomByOrder/testsuite-selection-unselect-atom-by-order.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at \
+	$(srcdir)/./Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at \
+	$(srcdir)/./Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at \
+	$(srcdir)/./Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at \
+	$(srcdir)/./Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at \
+	$(srcdir)/./Selection/Molecules/testsuite-selection-molecules.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at \
+	$(srcdir)/./Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at \
+	$(srcdir)/./Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at \
+	$(srcdir)/./Selection/Molecules/InvertMolecules/testsuite-selection-invert-molecules.at \
+	$(srcdir)/./Selection/Molecules/PushMoleculeSelection/testsuite-selection-push-molecule-selection.at \
+	$(srcdir)/./Selection/Molecules/PopMoleculeSelection/testsuite-selection-pop-molecule-selection.at \
+	$(srcdir)/./Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at \
+	$(srcdir)/./Selection/testsuite-selection.at \
+	$(srcdir)/./Graph/testsuite-graph.at \
+	$(srcdir)/./Graph/CreateAdjacency/testsuite-graph-create-adjacency.at \
 	$(srcdir)/./Graph/DepthFirstSearch/testsuite-graph-depth-first-search.at \
+	$(srcdir)/./Graph/DestroyAdjacency/testsuite-graph-destroy-adjacency.at \
 	$(srcdir)/./Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at \
 	$(srcdir)/./Graph/SubgraphDissection/testsuite-graph-subgraph-dissection.at \
-	$(srcdir)/./Graph/DestroyAdjacency/testsuite-graph-destroy-adjacency.at \
-	$(srcdir)/./Graph/testsuite-graph.at \
-	$(srcdir)/./Graph/CreateAdjacency/testsuite-graph-create-adjacency.at \
+	$(srcdir)/./RandomNumbers/testsuite-randomnumbers.at \
+	$(srcdir)/./RandomNumbers/Engine/testsuite-set-random-number-engine.at \
+	$(srcdir)/./RandomNumbers/Distribution/testsuite-set-random-number-distribution.at \
+	$(srcdir)/./Potential/testsuite-potential.at \
+	$(srcdir)/./Potential/SaveParsePotentials/testsuite-potential-save-parse-potentials.at \
+	$(srcdir)/./Potential/SaveParseParticleParameters/testsuite-potential-save-parse-particle-parameters.at \
+	$(srcdir)/./Potential/FitPotential/testsuite-potential-fit-potential.at \
 	$(srcdir)/./Potential/FitPartialCharges/testsuite-potential-fit-partial-charges.at \
-	$(srcdir)/./Potential/testsuite-potential.at \
-	$(srcdir)/./Potential/FitPotential/testsuite-potential-fit-potential.at \
-	$(srcdir)/./Filling/testsuite-filling.at \
+	$(srcdir)/./Bond/Add/testsuite-bond-add.at \
+	$(srcdir)/./Bond/Add/testsuite-bond-add_multiple.at \
+	$(srcdir)/./Bond/Remove/testsuite-bond-remove_multiple.at \
+	$(srcdir)/./Bond/Remove/testsuite-bond-remove.at \
+	$(srcdir)/./Bond/testsuite-bond.at \
+	$(srcdir)/./Bond/SetDegree/testsuite-bond-set-degree.at \
+	$(srcdir)/./Bond/SetDegree/testsuite-bond-set-degree_multiple.at \
+	$(srcdir)/./Bond/AdjacencyMatcher/testsuite-bond-adjacencymatcher.at \
+	$(srcdir)/./WorldTime/SetWorldTime/testsuite-worldtime-set-world-time.at \
+	$(srcdir)/./WorldTime/StepWorldTime/testsuite-worldtime-step-world-time.at \
+	$(srcdir)/./WorldTime/testsuite-worldtime.at \
+	$(srcdir)/./Molecules/SaveBonds/testsuite-molecules-save-bonds.at \
+	$(srcdir)/./Molecules/RotateToPrincipalAxisSystem/testsuite-molecules-rotate-to-principal-axis-system.at \
+	$(srcdir)/./Molecules/LinearInterpolationofTrajectories/testsuite-molecules-linear-interpolation-of-trajectories.at \
+	$(srcdir)/./Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at \
+	$(srcdir)/./Molecules/BondFile/testsuite-molecules-fragmentation-bond-file.at \
+	$(srcdir)/./Molecules/ChangeBondAngle/testsuite-molecules-change-bond-angle.at \
+	$(srcdir)/./Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at \
+	$(srcdir)/./Molecules/SaveSelectedMolecules/testsuite-molecules-save-selected-molecules.at \
+	$(srcdir)/./Molecules/Remove/testsuite-molecules-remove.at \
+	$(srcdir)/./Molecules/SaveTemperature/testsuite-molecules-save-temperature.at \
+	$(srcdir)/./Molecules/RotateAroundSelf/testsuite-molecules-rotate-around-self.at \
+	$(srcdir)/./Molecules/SaveAdjacency/testsuite-molecules-save-adjacency.at \
+	$(srcdir)/./Molecules/Translation-Periodic/testsuite-molecules-translation-periodic.at \
+	$(srcdir)/./Molecules/VerletIntegration/testsuite-molecules-verlet-integration.at \
+	$(srcdir)/./Molecules/Copy/testsuite-molecules-copy-molecule.at \
+	$(srcdir)/./Molecules/StretchBond/testsuite-molecules-stretch-bond.at \
+	$(srcdir)/./Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at \
+	$(srcdir)/./Molecules/testsuite-molecules.at \
+	$(srcdir)/./Molecules/Translation/testsuite-molecules-translation.at \
+	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-nowhere.at \
+	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-everywhere.at \
+	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-cube.at \
+	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-cylinder.at \
+	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-sphere.at \
+	$(srcdir)/./Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at \
+	$(srcdir)/./Filling/RegularGrid/testsuite-fill-regular-grid.at \
 	$(srcdir)/./Filling/RegularGrid/testsuite-fill-regular-grid-with-minimum-distance-to-surface.at \
-	$(srcdir)/./Filling/RegularGrid/testsuite-fill-regular-grid.at \
-	$(srcdir)/./Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at \
-	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-cube.at \
+	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-cylinder.at \
 	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-micelle.at \
-	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-cylinder.at \
-	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-sphere.at \
 	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-everywhere.at \
 	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-nowhere.at \
-	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-sphere.at \
-	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-cylinder.at \
-	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-cube.at \
-	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-everywhere.at \
-	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-nowhere.at \
+	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-cube.at \
+	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-sphere.at \
+	$(srcdir)/./Filling/testsuite-filling.at \
 	$(srcdir)/./Filling/SuspendInWater/testsuite-suspend-in-water.at \
-	$(srcdir)/./Atoms/testsuite-atoms.at \
-	$(srcdir)/./Atoms/TranslationToOrigin/testsuite-atoms-translation-to-origin.at \
-	$(srcdir)/./Atoms/Add/testsuite-atoms-add.at \
-	$(srcdir)/./Atoms/RemoveCuboid/testsuite-atoms-remove-cuboid.at \
-	$(srcdir)/./Atoms/ChangeElement/testsuite-atoms-change-element.at \
-	$(srcdir)/./Atoms/Remove/testsuite-atoms-remove.at \
-	$(srcdir)/./Atoms/RemoveSphere/testsuite-atoms-remove-sphere.at \
-	$(srcdir)/./Atoms/Mirror/testsuite-atoms-mirror.at \
-	$(srcdir)/./Atoms/Saturate/testsuite-atoms-saturate_carbon.at \
-	$(srcdir)/./Atoms/Saturate/testsuite-atoms-saturate_nitrogen.at \
-	$(srcdir)/./Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at \
-	$(srcdir)/./Atoms/Translation/testsuite-atoms-translation.at \
-	$(srcdir)/./RandomNumbers/Distribution/testsuite-set-random-number-distribution.at \
-	$(srcdir)/./RandomNumbers/Engine/testsuite-set-random-number-engine.at \
-	$(srcdir)/./RandomNumbers/testsuite-randomnumbers.at \
-	$(srcdir)/./Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at \
-	$(srcdir)/./Domain/ScaleBox/testsuite-domain-scale-box.at \
-	$(srcdir)/./Domain/RepeatBox/testsuite-domain-repeat-box.at \
-	$(srcdir)/./Domain/CenterOnEdge/testsuite-domain-center-on-edge.at \
-	$(srcdir)/./Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at \
-	$(srcdir)/./Domain/testsuite-domain.at \
-	$(srcdir)/./Domain/CenterInBox/testsuite-domain-center-in-box.at \
-	$(srcdir)/./Domain/BoundInBox/testsuite-domain-bound-in-box.at \
-	$(srcdir)/./Domain/ChangeBox/testsuite-domain-change-box.at \
-	$(srcdir)/./Tesselation/testsuite-tesselation.at \
-	$(srcdir)/./Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at \
-	$(srcdir)/./Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at \
-	$(srcdir)/./Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at \
-	$(srcdir)/./Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at \
-	$(srcdir)/./Tesselation/Convex/testsuite-tesselation-convex-envelope.at
+	$(srcdir)/./Options/Warranty/testsuite-options-warranty.at \
+	$(srcdir)/./Options/Verbosity/testsuite-options-verbosity.at \
+	$(srcdir)/./Options/BondLengthTable/testsuite-options-bond-length-table.at \
+	$(srcdir)/./Options/SetDefaultName/testsuite-options-set-default-name.at \
+	$(srcdir)/./Options/ElementsDb/testsuite-options-elements-db.at \
+	$(srcdir)/./Options/Help/testsuite-options-help.at \
+	$(srcdir)/./Options/testsuite-options.at \
+	$(srcdir)/./Options/FastParsing/testsuite-options-fast-parsing.at
 
 DISTCLEANFILES = atconfig