Index: src/Element/Hbondangle.db
===================================================================
--- src/Element/Hbondangle.db	(revision 1a041f358530099250e51de113626e46dc482001)
+++ 	(revision )
@@ -1,13 +1,0 @@
-# atomicnumber angles for single, double and triple bond (-1 no angle)
-1	180	-1	-1
-5	180	131.0	109.2
-6	180	120	109.47
-7	180	110	106.67
-8	180	104.5	-1
-14	180	120	109.47
-15	180	-1	-1
-16	180	-1	-1
-17	180 -1 -1
-20	180	120	109.47
-34	180 -1 -1
-35	180 -1 -1
Index: src/Element/Hbonddistance.db
===================================================================
--- src/Element/Hbonddistance.db	(revision 1a041f358530099250e51de113626e46dc482001)
+++ 	(revision )
@@ -1,14 +1,0 @@
-#atomic number bond distances for single, double and triple bond (-1 no bond)
-1	0.74	-1	-1
-2	0.77429209	-1	-1
-5	1.23	1.19	1.18
-6	1.09	1.076	1.06
-7	1.04	1.02	1.01
-8	0.96	0.957	-1
-14	1.48	1.48	1.48
-15	1.42	-1	-1
-16	1.35	-1	-1
-17	1.29	-1	-1
-20	1.09	1.09	-1
-34	1.47	-1	-1
-35	1.44	-1	-1
Index: src/Element/elements.db
===================================================================
--- src/Element/elements.db	(revision 1a041f358530099250e51de113626e46dc482001)
+++ 	(revision )
@@ -1,112 +1,0 @@
-#	Covalent	radius	of	each	element	in	Angstroem	from	CSD	(binding	is:	[Rcov(A)+Rcov(B)-t,Rcov(A)+Rcov(B)+t]	with	t	=	0.4A
-#Element	Name	Symbol	Period	Group	Block	Atomic	Number	AtomicWeight	Covalent	Radius	vdW	Radius
-Hydrogen	H	1	1	s	1	1.008	0.23	1.09
-Helium	He	1	18	p	2	4.003	1.5	1.4
-Lithium	Li	2	1	s	3	6.941	0.68	1.82
-Beryllium	Be	2	2	s	4	9.012	0.35	2
-Boron	B	2	13	p	5	10.811	0.83	2
-Carbon	C	2	14	p	6	12.011	0.68	1.7
-Nitrogen	N	2	15	p	7	14.007	0.68	1.55
-Oxygen	O	2	16	p	8	15.999	0.68	1.52
-Fluorine	F	2	17	p	9	18.998	0.64	1.47
-Neon	Ne	2	18	p	10	20.18	1.5	1.54
-Sodium	Na	3	1	s	11	22.991	0.97	2.27
-Magnesium	Mg	3	2	s	12	24.305	1.1	1.73
-Aluminium	Al	3	13	p	13	26.982	1.35	2
-Silicon	Si	3	14	p	14	28.086	1.2	2.1
-Phosphorus	P	3	15	p	15	30.974	1.05	1.8
-Sulphur	S	3	16	p	16	32.066	1.02	1.8
-Chlorine	Cl	3	17	p	17	35.453	0.99	1.75
-Argon	Ar	3	18	p	18	39.948	1.51	1.88
-Potassium	K	4	1	s	19	39.098	1.33	2.75
-Calcium	Ca	4	2	s	20	40.078	0.99	2
-Scandium	Sc	4	3	d	21	44.956	1.44	2
-Titanium	Ti	4	4	d	22	47.867	1.47	2
-Vanadium	V	4	5	d	23	50.942	1.33	2
-Chromium	Cr	4	6	d	24	51.996	1.35	2
-Manganese	Mn	4	7	d	25	54.938	1.35	2
-Iron	Fe	4	8	d	26	55.845	1.34	2
-Cobalt	Co	4	9	d	27	58.933	1.33	2
-Nickel	Ni	4	10	d	28	58.693	1.5	1.63
-Copper	Cu	4	11	d	29	63.546	1.52	1.4
-Zinc	Zn	4	12	d	30	65.39	1.45	1.39
-Gallium	Ga	4	13	p	31	69.723	1.22	1.87
-Germanium	Ge	4	14	p	32	72.61	1.17	2
-Arsenic	As	4	15	p	33	74.922	1.21	1.85
-Selenium	Se	4	16	p	34	78.96	1.22	1.9
-Bromine	Br	4	17	p	35	79.904	1.21	1.85
-Krypton	Kr	4	18	p	36	83.8	1.5	2.02
-Rubidium	Rb	5	1	s	37	85.468	1.47	2
-Strontium	Sr	5	2	s	38	87.62	1.12	2
-Yttrium	Y	5	3	d	39	88.906	1.78	2
-Zirconium	Zr	5	4	d	40	91.224	1.56	2
-Niobium	Nb	5	5	d	41	92.906	1.48	2
-Molybdenum	Mo	5	6	d	42	95.94	1.47	2
-Technetium	Tc	5	7	d	43	98	1.35	2
-Ruthenium	Ru	5	8	d	44	101.07	1.4	2
-Rhodium	Rh	5	9	d	45	102.906	1.45	2
-Palladium	Pd	5	10	d	46	106.42	1.5	1.63
-Silver	Ag	5	11	d	47	107.868	1.59	1.72
-Cadmium	Cd	5	12	d	48	112.411	1.69	1.58
-Indium	In	5	13	p	49	114.818	1.63	1.93
-Tin	Sn	5	14	p	50	118.71	1.46	2.17
-Antimony	Sb	5	15	p	51	121.76	1.46	2
-Tellurium	Te	5	16	p	52	127.6	1.47	2.06
-Iodine	I	5	17	p	53	126.904	1.4	1.98
-Xenon	Xe	5	18	p	54	131.29	1.5	2.16
-Caesium	Cs	6	1	s	55	132.905	1.67	2
-Barium	Ba	6	2	s	56	137.327	1.34	2
-Lanthanum	La	6Lan	19	f	57	138.906	1.87	2
-Cerium	Ce	6Lan	19	f	58	140.116	1.83	2
-Praseodymium	Pr	6Lan	19	f	59	140.908	1.82	2
-Neodymium	Nd	6Lan	19	f	60	144.24	1.81	2
-Promethium	Pm	6Lan	19	f	61	145	1.8	2
-Samarium	Sm	6Lan	19	f	62	150.36	1.8	2
-Europium	Eu	6Lan	19	f	63	151.964	1.99	2
-Gadolinium	Gd	6Lan	19	f	64	157.25	1.79	2
-Terbium	Tb	6Lan	19	f	65	158.925	1.76	2
-Dysprosium	Dy	6Lan	19	f	66	162.5	1.75	2
-Holmium	Ho	6Lan	19	f	67	164.93	1.74	2
-Erbium	Er	6Lan	19	f	68	167.26	1.73	2
-Thulium	Tm	6Lan	19	f	69	168.934	1.72	2
-Ytterbium	Yb	6Lan	19	f	70	173.04	1.94	2
-Lutetium	Lu	6	3	d	71	174.967	1.72	2
-Hafnium	Hf	6	4	d	72	178.49	1.57	2
-Tantalum	Ta	6	5	d	73	180.948	1.43	2
-Tungsten	W	6	6	d	74	183.84	1.37	2
-Rhenium	Re	6	7	d	75	186.207	1.35	2
-Osmium	Os	6	8	d	76	190.23	1.37	2
-Iridium	Ir	6	9	d	77	192.217	1.32	2
-Platinum	Pt	6	10	d	78	195.078	1.5	1.72
-Gold	Au	6	11	d	79	196.967	1.5	1.66
-Mercury	Hg	6	12	d	80	200.59	1.7	1.55
-Thallium	Tl	6	13	p	81	204.383	1.55	1.96
-Lead	Pb	6	14	p	82	207.2	1.54	2.02
-Bismuth	Bi	6	15	p	83	208.98	1.54	2
-Polonium	Po	6	16	p	84	210	1.68	2
-Astatine	At	6	17	p	85	210	1.21	2
-Radon	Rn	6	18	p	86	222	1.5	2
-Francium	Fr	7	1	s	87	223	1.5	2
-Radium	Ra	7	2	s	88	226	1.9	2
-Actinium	Ac	7Act	20	f	89	227	1.88	2
-Thorium	Th	7Act	20	f	90	232.038	1.79	2
-Protactinium	Pa	7Act	20	f	91	231.036	1.61	2
-Uranium	U	7Act	20	f	92	238.029	1.58	1.86
-Neptunium	Np	7Act	20	f	93	237	1.55	2
-Plutonium	Pu	7Act	20	f	94	244	1.53	2
-Americium	Am	7Act	20	f	95	243	1.51	2
-Curium	Cm	7Act	20	f	96	247	0.99	2
-Berkelium	Bk	7Act	20	f	97	247	1.54	2
-Californium	Cf	7Act	20	f	98	251	1.83	2
-Einsteinium	Es	7Act	20	f	99	252	1.5	2
-Fermium	Fm	7Act	20	f	100	257	1.5	2
-Mendelevium	Md	7Act	20	f	101	258	1.5	2
-Nobelium	No	7Act	20	f	102	259	1.5	2
-Lawrencium	Lr	7	3	d	103	262	1.5	2
-Rutherfordium	Rf	7	4	d	104	261	1.5	2
-Dubnium	Db	7	5	d	105	262	1.5	2
-Seaborgium	Sg	7	6	d	106	266	1.5	2
-Bohrium	Bh	7	7	d	107	264	1.5	2
-Hassium	Hs	7	8	d	108	269	1.5	2
-Meitnerium	Mt	7	9	d	109	268	1.5	2
-Darmstadtium	Ds	7	10	d	110	271	1.5	2
Index: src/Element/orbitals.db
===================================================================
--- src/Element/orbitals.db	(revision 1a041f358530099250e51de113626e46dc482001)
+++ 	(revision )
@@ -1,91 +1,0 @@
-# atomicnumber numberoforbitals
-1	1
-2	0
-3	1
-4	2
-5	3
-6	4
-7	3
-8	2
-9	1
-10	0
-11	1
-12	2
-13	3
-14	4
-15	3
-16	2
-17	1
-18	0
-19	1
-20	4
-21	3
-22	4
-23	5
-24	6
-25	4
-26	3
-27	3
-28	2
-29	2
-30	2
-31	3
-32	4
-33	3
-34	2
-35	1
-36	0
-37	1
-38	2
-39	3
-40	4
-41	5
-42	6
-43	6
-44	8
-45	4
-46	4
-47	1
-48	2
-49	3
-50	4
-51	3
-52	2
-53	1
-54	0
-55	1
-56	2
-57	3
-58	4
-59	3
-60	4
-61	3
-62	3
-63	3
-64	3
-65	4
-66	3
-67	3
-68	3
-69	3	
-70	3
-71	3
-72	4
-73	5
-74	6
-75	7
-76	8
-77	6
-78	6
-79	3
-80	2
-81	3
-82	4
-83	3
-84	4
-86	0
-88	2
-89	3
-90	4
-91	5
-92	6
Index: src/Element/valence.db
===================================================================
--- src/Element/valence.db	(revision 1a041f358530099250e51de113626e46dc482001)
+++ 	(revision )
@@ -1,66 +1,0 @@
-#atomicnumber numberofvalenceorbitals
-1	0.10000000000000E+01
-2	0.20000000000000E+01
-3	0.10000000000000E+01
-4	0.20000000000000E+01
-5	0.30000000000000E+01
-6	0.40000000000000E+01
-7	0.50000000000000E+01
-8	0.60000000000000E+01
-9	0.70000000000000E+01
-10	0.80000000000000E+01
-11	0.10000000000000E+01
-12	0.40000000000000E+01
-13	.3000000000000000E+01
-14	0.40000000000000E+01
-15	0.50000000000000E+01
-16	0.60000000000000E+01
-17	0.70000000000000E+01
-18	0.80000000000000E+01
-19	0.30000000000000E+01
-20	0.40000000000000E+01
-21	0.30000000000000E+01
-22	0.40000000000000E+01
-23	0.50000000000000E+01
-24	0.60000000000000E+01
-25	0.70000000000000E+01
-26	0.80000000000000E+01
-27	0.90000000000000E+01
-28	0.10000000000000E+02
-29	0.11000000000000E+02
-30	0.12000000000000E+02
-31	3.00000000000000000
-32	0.40000000000000E+01
-33	5.00000000000000000
-34	0.60000000000000E+01
-35	0.70000000000000E+01
-36	0.80000000000000E+01
-37	0.10000000000000E+01
-38	0.20000000000000E+01
-39	0.30000000000000E+01
-40	0.40000000000000E+01
-41	0.50000000000000E+01
-42	0.60000000000000E+01
-43	0.70000000000000E+01
-44	0.80000000000000E+01
-45	0.90000000000000E+01
-46	0.10000000000000E+02
-47	0.11000000000000E+02
-48	0.12000000000000E+02
-49	0.30000000000000E+01
-50	0.40000000000000E+01
-51	0.50000000000000E+01
-52	0.60000000000000E+01
-53	0.70000000000000E+01
-54	0.80000000000000E+01
-55	0.10000000000000E+01
-56	0.20000000000000E+01
-72	0.40000000000000E+01
-73	0.50000000000000E+01
-74	0.60000000000000E+01
-75	0.70000000000000E+01
-76	0.80000000000000E+01
-77	0.90000000000000E+01
-78	0.10000000000000E+02
-79	0.11000000000000E+02
-80	0.12000000000000E+02
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 1a041f358530099250e51de113626e46dc482001)
+++ src/Makefile.am	(revision 936a02c90039dcc86f22c9ccd060237b13b9ca81)
@@ -251,13 +251,22 @@
 INCLUDES = -I$(top_srcdir)/src/unittests -I$(top_srcdir)/src/Actions -I$(top_srcdir)/src/UIElements -I$(top_srcdir)/LinearAlgebra/src
 
+libmenu_a_SOURCES = ${UISOURCE} ${UIHEADER} 
 noinst_LIBRARIES = libmenu.a
 bin_PROGRAMS += molecuilder molecuildergui joiner analyzer
 EXTRA_PROGRAMS = unity
 
-molecuilderdir = ${bindir}
-
-libmenu_a_SOURCES = ${UISOURCE} ${UIHEADER} 
-
-molecuilder_DATA = Element/elements.db Element/valence.db Element/orbitals.db Element/Hbonddistance.db Element/Hbondangle.db
+
+extrastuffdir = $(datadir)/@PACKAGE@/data
+databasedir = $(extrastuffdir)/databases
+database_DATA = \
+	${top_srcdir}/data/databases/*.db
+
+bondtabledir = $(extrastuffdir)/bondtables
+bondtable_DATA = \
+	${top_srcdir}/data/bondtables/*.dat
+
+moleculedir = $(extrastuffdir)/molecules
+molecule_DATA = \
+	${top_srcdir}/data/molecules/*.pdb
 
 
@@ -363,5 +372,9 @@
 	fi
 
-EXTRA_DIST = $(srcdir)/.git-version $(molecuilder_DATA)
+EXTRA_DIST = \
+	$(srcdir)/.git-version \
+	$(bondtable_DATA) \
+	$(database_DATA) \
+	$(molecule_DATA)
 
 $(srcdir)/version.c: $(srcdir)/.git-version
Index: src/documentation/data.dox
===================================================================
--- src/documentation/data.dox	(revision 936a02c90039dcc86f22c9ccd060237b13b9ca81)
+++ src/documentation/data.dox	(revision 936a02c90039dcc86f22c9ccd060237b13b9ca81)
@@ -0,0 +1,48 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file data.dox
+ *
+ *  Herein, we explain what the point of the data subfolder is.
+ *
+ * Created on: Nov 10, 2011
+ *    Author: heber
+ */
+
+/**
+ * \page data Purpose of the data subfolder
+ *
+ * \section data-bondtables Bond tables
+ *
+ * In ./data/bondtables matrix-like files are contained that give bond
+ * information per element pair. "-1" specifies unknown bond length. This
+ * is used by the class \ref bondgraph to more accurately
+ * create the bonding structure of a molecular system. The formula is that
+ * the distance between two atoms must match the one in the table plus or
+ * minus a certain threshold (BondGraph::BondThreshold).
+ *
+ * \section data-databases Element databases
+ *
+ * In \b ./data/databases element databases are stored with standard information
+ * from the period table but also certain specific information such as color or
+ * valency. These can be parsed by the class function periodentafel::LoadPeriodentafel().
+ *
+ * \section data-molecules Molecules
+ *
+ * In \b ./data/molecules some molecules are stored in \a PDB format. The intent
+ * is that these are the building stone of a library to come from which molecules
+ * necessary for the building of systems can be chosen.
+ *
+ * If new molecules are added, please specify the source of the file, either in
+ * the commit message or (even better) in the comment section of the file. Please
+ * also use a format which stores both coordination and bonds (such as .pdb).
+ *
+ *
+ * \date 2011-11-10
+ *
+ */
Index: src/documentation/mainpage.dox
===================================================================
--- src/documentation/mainpage.dox	(revision 1a041f358530099250e51de113626e46dc482001)
+++ src/documentation/mainpage.dox	(revision 936a02c90039dcc86f22c9ccd060237b13b9ca81)
@@ -67,4 +67,5 @@
  * \li \ref tests
  * \li \ref launch
+ * \li \ref data
  * \li \ref debug
  * \li \ref code