Index: src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -33,5 +33,5 @@
 using namespace std;
 
-CommandLineDialog::AtomCommandLineQuery::AtomCommandLineQuery(string title, string _description) :
+CommandLineDialog::AtomCommandLineQuery::AtomCommandLineQuery(std::string title, std::string _description) :
     Dialog::AtomQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -28,5 +28,5 @@
 #include "World.hpp"
 
-CommandLineDialog::AtomsCommandLineQuery::AtomsCommandLineQuery(string title, string _description) :
+CommandLineDialog::AtomsCommandLineQuery::AtomsCommandLineQuery(std::string title, std::string _description) :
     Dialog::AtomsQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -25,5 +25,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::BooleanCommandLineQuery::BooleanCommandLineQuery(string title, string _description) :
+CommandLineDialog::BooleanCommandLineQuery::BooleanCommandLineQuery(std::string title, std::string _description) :
     Dialog::BooleanQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -27,5 +27,5 @@
 #include "LinearAlgebra/RealSpaceMatrix.hpp"
 
-CommandLineDialog::BoxCommandLineQuery::BoxCommandLineQuery(string title, string _description) :
+CommandLineDialog::BoxCommandLineQuery::BoxCommandLineQuery(std::string title, std::string _description) :
     Dialog::BoxQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -26,5 +26,5 @@
 
 
-CommandLineDialog::DoubleCommandLineQuery::DoubleCommandLineQuery(string title, string _description) :
+CommandLineDialog::DoubleCommandLineQuery::DoubleCommandLineQuery(std::string title, std::string _description) :
     Dialog::DoubleQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -25,5 +25,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::DoublesCommandLineQuery::DoublesCommandLineQuery(string title, string _description) :
+CommandLineDialog::DoublesCommandLineQuery::DoublesCommandLineQuery(std::string title, std::string _description) :
     Dialog::DoublesQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -28,5 +28,5 @@
 #include "World.hpp"
 
-CommandLineDialog::ElementCommandLineQuery::ElementCommandLineQuery(string title, string _description) :
+CommandLineDialog::ElementCommandLineQuery::ElementCommandLineQuery(std::string title, std::string _description) :
     Dialog::ElementQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -28,5 +28,5 @@
 #include "World.hpp"
 
-CommandLineDialog::ElementsCommandLineQuery::ElementsCommandLineQuery(string title, string _description) :
+CommandLineDialog::ElementsCommandLineQuery::ElementsCommandLineQuery(std::string title, std::string _description) :
     Dialog::ElementsQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/EmptyCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/EmptyCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/EmptyCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -27,5 +27,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::EmptyCommandLineQuery::EmptyCommandLineQuery(string title, string _description) :
+CommandLineDialog::EmptyCommandLineQuery::EmptyCommandLineQuery(std::string title, std::string _description) :
     Dialog::EmptyQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -25,5 +25,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::FileCommandLineQuery::FileCommandLineQuery(string title, string _description) :
+CommandLineDialog::FileCommandLineQuery::FileCommandLineQuery(std::string title, std::string _description) :
     Dialog::FileQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -25,5 +25,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::IntCommandLineQuery::IntCommandLineQuery(string title, string _description) :
+CommandLineDialog::IntCommandLineQuery::IntCommandLineQuery(std::string title, std::string _description) :
     Dialog::IntQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -25,5 +25,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::IntsCommandLineQuery::IntsCommandLineQuery(string title, string _description) :
+CommandLineDialog::IntsCommandLineQuery::IntsCommandLineQuery(std::string title, std::string _description) :
     Dialog::IntsQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -28,5 +28,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::MoleculeCommandLineQuery::MoleculeCommandLineQuery(string title, string _description) :
+CommandLineDialog::MoleculeCommandLineQuery::MoleculeCommandLineQuery(std::string title, std::string _description) :
     Dialog::MoleculeQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -29,5 +29,5 @@
 #include "World.hpp"
 
-CommandLineDialog::MoleculesCommandLineQuery::MoleculesCommandLineQuery(string title, string _description) :
+CommandLineDialog::MoleculesCommandLineQuery::MoleculesCommandLineQuery(std::string title, std::string _description) :
     Dialog::MoleculesQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -31,5 +31,5 @@
 #include "RandomNumbers/RandomNumberDistribution_Parameters.hpp"
 
-CommandLineDialog::RandomNumberDistribution_ParametersCommandLineQuery::RandomNumberDistribution_ParametersCommandLineQuery(string title, string _description) :
+CommandLineDialog::RandomNumberDistribution_ParametersCommandLineQuery::RandomNumberDistribution_ParametersCommandLineQuery(std::string title, std::string _description) :
     Dialog::RandomNumberDistribution_ParametersQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -25,5 +25,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::StringCommandLineQuery::StringCommandLineQuery(string title, string _description) :
+CommandLineDialog::StringCommandLineQuery::StringCommandLineQuery(std::string title, std::string _description) :
     Dialog::StringQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -25,5 +25,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::StringsCommandLineQuery::StringsCommandLineQuery(string title, string _description) :
+CommandLineDialog::StringsCommandLineQuery::StringsCommandLineQuery(std::string title, std::string _description) :
     Dialog::StringsQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -25,5 +25,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::UnsignedIntCommandLineQuery::UnsignedIntCommandLineQuery(string title, string _description) :
+CommandLineDialog::UnsignedIntCommandLineQuery::UnsignedIntCommandLineQuery(std::string title, std::string _description) :
     Dialog::UnsignedIntQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -25,5 +25,5 @@
 #include "CodePatterns/Verbose.hpp"
 
-CommandLineDialog::UnsignedIntsCommandLineQuery::UnsignedIntsCommandLineQuery(string title, string _description) :
+CommandLineDialog::UnsignedIntsCommandLineQuery::UnsignedIntsCommandLineQuery(std::string title, std::string _description) :
     Dialog::UnsignedIntsQuery(title, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -29,5 +29,5 @@
 #include "World.hpp"
 
-CommandLineDialog::VectorCommandLineQuery::VectorCommandLineQuery(string title, bool _check, string _description) :
+CommandLineDialog::VectorCommandLineQuery::VectorCommandLineQuery(std::string title, bool _check, std::string _description) :
     Dialog::VectorQuery(title,_check, _description)
 {}
Index: src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp	(revision 2a0271161126f3b47c3cd19c934d5f9e68593ecf)
+++ src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -29,5 +29,5 @@
 #include "World.hpp"
 
-CommandLineDialog::VectorsCommandLineQuery::VectorsCommandLineQuery(string title, bool _check, string _description) :
+CommandLineDialog::VectorsCommandLineQuery::VectorsCommandLineQuery(std::string title, bool _check, std::string _description) :
     Dialog::VectorsQuery(title,_check, _description)
 {}