Index: src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp
===================================================================
--- src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp	(revision ffc3688dd044a0c874c10a37de01139caff883c1)
+++ src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp	(revision 990a6201b35907a408b9560a3016513b5b26db66)
@@ -51,4 +51,8 @@
     ) :
     params(parameters_t(MAXPARAMS, 0.)),
+    lambda3(0.),
+    alpha(0.),
+    chi(1.),
+    omega(1.),
     triplefunction(_triplefunction)
 {}
@@ -72,4 +76,8 @@
     boost::function< std::vector<arguments_t>(const argument_t &, const double)> &_triplefunction) :
   params(parameters_t(MAXPARAMS, 0.)),
+  lambda3(_lambda3),
+  alpha(_alpha),
+  chi(_chi),
+  omega(_mu),
   triplefunction(_triplefunction)
 {
@@ -81,9 +89,9 @@
   params[lambda] = _lambda;
   params[mu] = _mu;
-  params[lambda3] = _lambda3;
-  params[alpha] = _alpha;
+//  lambda3 = _lambda3;
+//  alpha = _alpha;
   params[beta] = _beta;
-  params[chi] = _chi;
-  params[omega] = _omega;
+//  chi = _chi;
+//  omega = _omega;
   params[n] = _n;
   params[c] = _c;
@@ -104,5 +112,5 @@
       cutoff * (
           function_prefactor(
-              params[alpha],
+              alpha,
               function_eta(r_ij))
           * function_smoother(
@@ -174,5 +182,5 @@
           -r_ij.distance * cutoff * params[lambda] * (
           function_prefactor(
-              params[alpha],
+              alpha,
               function_eta(r_ij))
           * function_smoother(
@@ -201,27 +209,39 @@
       break;
     }
-    case lambda3:
-    {
-      const double result = 0.;
-      return results_t(1, result);
-      break;
-    }
-    case alpha:
-    {
-      const double temp =
-          pow(params[alpha]*function_eta(r_ij), params[n]);
-      const double cutoff = function_cutoff(r_ij.distance);
-      const double result = (cutoff == 0.) || (params[alpha] == 0. )?
-          0. :
-          function_smoother(
-              -params[A],
-              params[lambda],
-              r_ij.distance)
-          * (-.5) * params[alpha] * (temp/params[alpha])
-          / (1. + temp)
-          ;
-      return results_t(1, result);
-      break;
-    }
+//    case lambda3:
+//    {
+//      const double result = 0.;
+//      return results_t(1, result);
+//      break;
+//    }
+//    case alpha:
+//    {
+//      const double temp =
+//          pow(alpha*function_eta(r_ij), params[n]);
+//      const double cutoff = function_cutoff(r_ij.distance);
+//      const double result = (cutoff == 0.) || (alpha == 0. )?
+//          0. :
+//          function_smoother(
+//              -params[A],
+//              params[lambda],
+//              r_ij.distance)
+//          * (-.5) * alpha * (temp/alpha)
+//          / (1. + temp)
+//          ;
+//      return results_t(1, result);
+//      break;
+//    }
+//    case chi:
+//    {
+//      const double result = 0.;
+//      return results_t(1, result);
+//      break;
+//    }
+//    case omega:
+//    {
+//      const double result = 0.;
+//      return results_t(1, result);
+//      break;
+//    }
     case beta:
     {
@@ -309,5 +329,5 @@
 {
 //  Info info(__func__);
-  const double result = params[chi] * pow(
+  const double result = chi * pow(
       (1. + pow(alpha * eta, params[n])),
       -1./(2.*params[n]));
@@ -345,5 +365,5 @@
     const argument_t &r_ik = (*iter)[0];
     result += function_cutoff(r_ik.distance)
-        * exp( Helpers::pow(params[lambda3] * (r_ij.distance - r_ik.distance) ,3));
+        * exp( Helpers::pow(lambda3 * (r_ij.distance - r_ik.distance) ,3));
   }
 
@@ -370,7 +390,7 @@
     result +=
         function_cutoff(r_ik.distance)
-        * params[omega]
+        * omega
         * function_angle(r_ij.distance, r_ik.distance, r_jk.distance)
-        * exp( Helpers::pow(params[lambda3] * (r_ij.distance - r_ik.distance) ,3));
+        * exp( Helpers::pow(lambda3 * (r_ij.distance - r_ik.distance) ,3));
   }
 
Index: src/Potentials/Specifics/ManyBodyPotential_Tersoff.hpp
===================================================================
--- src/Potentials/Specifics/ManyBodyPotential_Tersoff.hpp	(revision ffc3688dd044a0c874c10a37de01139caff883c1)
+++ src/Potentials/Specifics/ManyBodyPotential_Tersoff.hpp	(revision 990a6201b35907a408b9560a3016513b5b26db66)
@@ -186,17 +186,23 @@
     lambda=4,
     mu=5,
-    lambda3=6,
-    alpha=7,
-    beta=8,
-    chi=9,
-    omega=10,
-    n=11,
-    c=12,
-    d=13,
-    h=14,
+    beta=6,
+    n=7,
+    c=8,
+    d=9,
+    h=10,
+//    lambda3=11,
+//    alpha=12,
+//    chi=13,
+//    omega=14,
     MAXPARAMS
   };
   //!> parameter vector with parameters as in enum parameter_enum_t
   parameters_t params;
+
+  // some internal parameters which are fixed
+  const double lambda3;
+  const double alpha;
+  const double chi;
+  const double omega;
 
 public:
Index: src/Potentials/Specifics/unittests/ManyBodyPotential_TersoffUnitTest.cpp
===================================================================
--- src/Potentials/Specifics/unittests/ManyBodyPotential_TersoffUnitTest.cpp	(revision ffc3688dd044a0c874c10a37de01139caff883c1)
+++ src/Potentials/Specifics/unittests/ManyBodyPotential_TersoffUnitTest.cpp	(revision 990a6201b35907a408b9560a3016513b5b26db66)
@@ -134,9 +134,9 @@
   params[ManyBodyPotential_Tersoff::lambda] = 3.487900e+00;
   params[ManyBodyPotential_Tersoff::mu] = 2.211900e+00;
-  params[ManyBodyPotential_Tersoff::lambda3] = 0.;
-  params[ManyBodyPotential_Tersoff::alpha] = 0.;
+//  params[ManyBodyPotential_Tersoff::lambda3] = 0.;
+//  params[ManyBodyPotential_Tersoff::alpha] = 0.;
   params[ManyBodyPotential_Tersoff::beta] = 1.572400e-07;
-  params[ManyBodyPotential_Tersoff::chi] = 1.;
-  params[ManyBodyPotential_Tersoff::omega] = 1.;
+//  params[ManyBodyPotential_Tersoff::chi] = 1.;
+//  params[ManyBodyPotential_Tersoff::omega] = 1.;
   params[ManyBodyPotential_Tersoff::n] = 7.275100e-01;
   params[ManyBodyPotential_Tersoff::c] = 3.804900e+04;